com.fasterxml.jackson.databind.util

## Class ByteBufferBackedOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - com.fasterxml.jackson.databind.util.ByteBufferBackedOutputStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

    public class ByteBufferBackedOutputStream
    extends OutputStream

Simple `OutputStream` implementation that appends content written in given `ByteBuffer` instance.

### Field Summary

Fields
`protected ByteBuffer` `_b`

### Constructor Summary

Constructors
Constructor and Description
`ByteBufferBackedOutputStream(ByteBuffer buf)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `write(byte[] bytes, int off, int len)`
`void` `write(int b)`

### Methods inherited from class java.io.OutputStream

`close, flush, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _b

    protected final ByteBuffer _b

### Constructor Detail

#### ByteBufferBackedOutputStream

    public ByteBufferBackedOutputStream(ByteBuffer buf)

### Method Detail

#### write

    public void write(int b)
               throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### write

    public void write(byte[] bytes,
                      int off,
                      int len)
               throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`